from django.apps import AppConfig
from health_check.plugins import plugin_dir

from pount.healthcheck import ElasticSearchCheckBackend, MongoDbCheckBackend


class ApiAppConfig(AppConfig):
    name = "pount.apps.api"

    def ready(self):
        import pount.apps.api.signals  # noqa:F401

        plugin_dir.register(ElasticSearchCheckBackend)
        plugin_dir.register(MongoDbCheckBackend)
