from pount.apps.api.libs.metadata import Metadata


def make_item_citation(metadata: list) -> str:
    md = Metadata(metadata)
    citation_data = {
        1: " & ".join(md.creator.value) if hasattr(md, "creator") else None,
        2: f'"{md.title.value}"' if hasattr(md, "title") else None,
        3: md.publisher.value if hasattr(md, "publisher") else None,
        4: md.publicationYear.value if hasattr(md, "publicationYear") else None,
        5: md.DOI.value if hasattr(md, "DOI") else None,
    }
    citation = ", ".join([v for k, v in citation_data.items() if v])
    return citation
