from django.conf import settings
from django.core.mail import send_mail
from django.template import loader


def send_email(subject, template, context, recipients, sender=None, request=None):
    sender = sender or settings.POUNT_ADMIN_EMAIL
    if isinstance(recipients, str):
        recipients = [recipients]
    text_message = loader.render_to_string(
        f"{template}.txt",
        context=context,
    )
    try:
        html_message = loader.render_to_string(
            f"{template}.html",
            context=context,
            request=request,
        )
    except loader.TemplateDoesNotExist:
        html_message = None
    subject = f"[pount] {subject}"
    send_mail(subject, text_message, sender, recipients, html_message=html_message)
