# Generated by Django 3.2.16 on 2022-11-22 09:28

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import rules.contrib.models
import uuid


class Migration(migrations.Migration):

    dependencies = [
        ('api', '0025_auto_20221011_1545'),
    ]

    operations = [
        migrations.CreateModel(
            name='Referential',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('name', models.CharField(db_index=True, max_length=255, verbose_name='Name')),
                ('description', models.TextField(blank=True, null=True, verbose_name='Description')),
                ('scope', models.IntegerField(choices=[(1, 'Base scope'), (2, 'Global scope'), (4, 'User scope')], db_index=True)),
                ('version', models.CharField(blank=True, db_index=True, max_length=20, null=True, verbose_name='Version')),
                ('version_label', models.CharField(blank=True, max_length=100, null=True, verbose_name='Version label')),
                ('languages', models.JSONField(verbose_name='Languages')),
                ('definition', models.JSONField(verbose_name='Definition of Referential')),
                ('lists', models.JSONField(verbose_name='Available lists')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('creator', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='referentials', to=settings.AUTH_USER_MODEL)),
                ('owner', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='owned_referentials', to=settings.AUTH_USER_MODEL)),
                ('root_version', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='api.referential')),
            ],
            options={
                'verbose_name': 'Referential',
                'verbose_name_plural': 'Referentials',
                'ordering': ['name'],
            },
            bases=(rules.contrib.models.RulesModelMixin, models.Model),
        ),
        migrations.AddConstraint(
            model_name='referential',
            constraint=models.UniqueConstraint(condition=models.Q(('root_version__isnull', True)), fields=('name',), name='api_referential_name_unique'),
        ),
        migrations.AddConstraint(
            model_name='referential',
            constraint=models.UniqueConstraint(fields=('name', 'version'), name='api_referential_name_version_unique'),
        ),
    ]
