# Generated by Django 3.2.16 on 2023-02-10 10:27

from django.db import migrations


def remove_min_max_publication_year(apps, schema_editor):
    Template = apps.get_model("api", "Template")
    db_templates = Template.objects.all()
    for template in db_templates:
        for field in template.fields:
            if field.get('name') == 'publicationYear':
                if 'min' in field:
                    del field['min']
                if 'max' in field:
                    del field['max']
                break
        template.save()

def restore_min_max_publication_year(apps, schema_editor):
    Template = apps.get_model("api", "Template")
    db_templates = apps.get_model("api", "Template")
    for template in db_templates:
        for field in template.fields:
            if field.get('name') == 'publicationYear':
                field['min'] = ''
                field['max'] = ''
                break
        template.save()




class Migration(migrations.Migration):

    dependencies = [
        ('api', '0026_referential_model'),
    ]

    operations = [
        migrations.RunPython(
            code=remove_min_max_publication_year,
            reverse_code=restore_min_max_publication_year
        )
    ]
