# Generated by Django 3.2.19 on 2023-05-12 09:11

from django.db import migrations


def move_item_viewer_to_mediafile(apps, schema_editor):
    MediaFile = apps.get_model("api", "MediaFile")
    Item = apps.get_model("api", "Item")
    for i in Item.objects.filter(viewer__isnull=False):
        if i.viewer:
            if file_id := i.viewer.get("file_id"):
                try:
                    mf = MediaFile.objects.get(pk=file_id)
                    mf.is_downloadable = i.viewer.get("is_downloadable", False)
                    mf.component = i.viewer.get("component", None)
                    mf.save(update_fields=["is_downloadable", "component"])
                except MediaFile.DoesNotExist:
                    print(f"item {i.id} could not find mediafile with id {file_id}")


def move_mediafile_info_to_item(apps, schema_editor):
    MediaFile = apps.get_model("api", "MediaFile")
    Item = apps.get_model("api", "Item")
    for mf in MediaFile.objects.all():
        if mf.component or mf.is_downloadable:
            i = mf.item
            i.viewer = {
                "file_id": str(mf.id),
                "component": mf.component,
                "is_downloadable": mf.is_downloadable,
            }
            i.save(update_fields=["viewer"])


class Migration(migrations.Migration):

    dependencies = [
        ('api', '0033_auto_20230512_1057'),
    ]

    operations = [
        migrations.RunPython(
            code=move_item_viewer_to_mediafile,
            reverse_code=move_mediafile_info_to_item,
        )
    ]
