# Generated by Django 3.2.19 on 2023-05-17 06:47

from django.db import migrations


def copy_data_to_data_model(apps, schema_editor):
    Referential = apps.get_model("api", "Referential")
    ReferentialData = apps.get_model("api", "ReferentialData")

    for referential in Referential.objects.all():
        referential_data = ReferentialData.objects.create(
            referential_id=referential.id,
            languages=referential.languages,
            definition=referential.definition,
            lists=referential.lists,
        )


def copy_data_to_referential_model(apps, schema_editor):
    Referential = apps.get_model("api", "Referential")
    ReferentialData = apps.get_model("api", "ReferentialData")

    for referential_data in ReferentialData.objects.all():
        referential = referential_data.referential
        referential.languages = referential_data.languages
        referential.definition = referential_data.definition
        referential.lists = referential_data.lists
        referential.save(update_fields=["languages", "definition", "lists"])


class Migration(migrations.Migration):

    dependencies = [
        ('api', '0037_referentialdata'),
    ]

    operations = [
        migrations.RunPython(
            code=copy_data_to_data_model,
            reverse_code=copy_data_to_referential_model,
        )
    ]
