# Generated by Django 3.2.18 on 2023-06-05 07:58

from django.db import migrations


def get_select_id_fields(field, ids):
    if field.get("component") in ["UsfSelect", "referentialSelect"] \
        and not field.get("multiple", False):
        ids.append(field.get("id"))

    children = field.get("fields")
    if children:
        for child in children:
            get_select_id_fields(child, ids)

def list_template_simple_select(template) -> list:
    simple_select_ids = []
    for field in template.fields:
        get_select_id_fields(field, simple_select_ids)

    return simple_select_ids

def update_item_select_value_to_array(apps, schema_editor):
    Template = apps.get_model("api", "Template")
    Item = apps.get_model("api", "Item")
    for t in Template.objects.filter(scope=4):
        simple_select_ids = list_template_simple_select(t)
        if len(simple_select_ids):
            for item in Item.objects.filter(set__template_id=t.id):
                for data in item.metadata:
                    if (data.get("id") in simple_select_ids)\
                        and isinstance(data.get("value"), str):
                        data["value"] = [data.get("value")]
                item.save()


class Migration(migrations.Migration):

    dependencies = [
        ('api', '0040_template_option_id'),
    ]

    operations = [
        migrations.RunPython(
            code=update_item_select_value_to_array,
        )
    ]
