# Generated by Django 3.2.21 on 2023-09-13 08:11

from django.db import migrations, models

from pount.apps.api.libs.set import update_set_search_config_on_template_save


def create_default_search_configs(apps, schema_editor):
    Template = apps.get_model("api", "Template")
    Set = apps.get_model("api", "Set")
    for template in Template.objects.filter(scope=4):
        try:
            update_set_search_config_on_template_save(template)
        except Set.DoesNotExist:
            continue


class Migration(migrations.Migration):

    dependencies = [
        ('api', '0043_rename_ancestors_to_parents'),
    ]

    operations = [
        migrations.AddField(
            model_name='set',
            name='search_config',
            field=models.JSONField(default=list),
        ),
        migrations.RunPython(
            create_default_search_configs, reverse_code=migrations.RunPython.noop,
        ),
    ]
