from uuid import UUID

from celery import shared_task


@shared_task
def handle_build_node_lists_on_referential_save(referential_id):
    from pount.apps.api.libs.referential import clear_cache_for_referential, generate_node_lists
    from pount.apps.api.models import Referential

    try:
        referential: Referential = Referential.objects.get(pk=referential_id)
        generate_node_lists(referential)
        clear_cache_for_referential(referential)
    except Referential.DoesNotExist:
        pass


@shared_task
def handle_update_item_metadata_on_referential_save(referential_id: UUID) -> None:
    from pount.apps.api.libs.referential import update_items_using_referential

    update_items_using_referential(referential_id=referential_id)


@shared_task
def handle_update_item_metadata_on_template_save(template_id: UUID) -> None:
    from pount.apps.api.libs.template import update_items_using_template

    update_items_using_template(template=template_id)
