import factory
from factory.django import DjangoModelFactory

from pount.apps.api.models import Item
from pount.apps.api.tests.factories.set import SetFactory
from pount.apps.api.tests.factories.user import UserFactory


class ItemFactory(DjangoModelFactory):
    class Meta:
        model = Item

    title = "Item title"
    metadata = [
        {
            "id": "abc123def",
            "name": "title",
            "value": title,
            "repeatable": False,
            "multiple": False,
        }
    ]
    creator = factory.SubFactory(UserFactory)
    set = factory.SubFactory(SetFactory, creator=factory.SelfAttribute("..creator"))


class ItemForMemberFactory(ItemFactory):
    @factory.post_generation
    def members(self, created, members, **kwargs):
        if not created:
            pass
        self.set.project.add_member(members)
