import factory
from factory.django import DjangoModelFactory

from pount.apps.api.models import Project, User


class ProjectFactory(DjangoModelFactory):
    class Meta:
        model = Project

    name = "Project name"


class ProjectForMemberFactory(ProjectFactory):
    @factory.post_generation
    def members(self, create, members, **kwargs):
        if not create:
            return
        if isinstance(members, User):
            self.add_member(members)
        elif isinstance(members, (list, tuple)):
            for member in members:
                self.add_member(member)


class ProjectForManagerFactory(ProjectForMemberFactory):
    @factory.post_generation
    def managers(self, create, managers, **kwargs):
        if not create:
            return
        if isinstance(managers, User):
            self.add_member(managers)
            self.add_manager(managers)
        elif isinstance(managers, (list, tuple)):
            for manager in managers:
                self.add_member(manager)
                self.add_manager(manager)
