import factory
from factory.django import DjangoModelFactory

from pount.apps.api.models import Template


class TemplateFactory(DjangoModelFactory):
    class Meta:
        model = Template

    name = factory.Sequence(lambda n: f"Template {n}")


class TemplateForSetFactory(TemplateFactory):
    scope = Template.SCOPE_SET

    @factory.post_generation
    def set(self, create, set, **kwargs):
        if not create:
            return
        self.project = set.project
        self.project.save()
