import json
import uuid

from django.conf import settings

from pount.apps.api.libs.referential import Level, Referential
from pount.tests import TestCase


class ReferentialAddLevelTest(TestCase):
    def test_serialize_level(self):
        id = str(uuid.uuid4())
        level = Level(id=id, name="Referential name")
        self.assertDictEqual(
            level.serialized,
            {
                "id": id,
                "name": "Referential name",
            },
        )

    def test_parse_from_definition_then_serialize_produces_same_definition(self):
        with open(settings.BASE_DIR / "apps/api/tests/fixtures/referential_definition.json") as definition_fixture:
            definition = json.load(definition_fixture)
        ref = Referential.from_definition(definition)
        self.assertDictEqual(
            ref.serialized,
            definition,
        )
