from urllib.parse import quote

from django.test import TestCase
from rest_framework.response import Response

from pount.apps.api.libs.export import add_content_disposition_header_for_attachment


class AddContentDispositionHeaderTest(TestCase):
    def test_add_content_disposition_header(self):
        response = Response()
        filename = "attached_filename.ext"
        response_with_header = add_content_disposition_header_for_attachment(filename, response)
        self.assertEqual(
            f'attachment; filename="{filename}"',
            response_with_header["Content-Disposition"],
        )

    def test_add_content_disposition_header_with_unicode_filename(self):
        response = Response()
        filename = "nom-accentué.ext"
        response_with_header = add_content_disposition_header_for_attachment(filename, response)
        self.assertEqual(
            f"attachment; filename*=utf-8''{quote(filename)}",
            response_with_header["Content-Disposition"],
        )
