from pathlib import Path
from unittest import TestCase

from PIL import Image

from pount.apps.api.libs.file import resize_min_height


class ResizeMinHeightTest(TestCase):
    def test_image_smaller_than_min_width_is_discarded(self):
        with Image.open(Path(__file__).resolve(strict=True).parent.parent / "fixtures/pount.jpg") as img:
            resized_img = resize_min_height(img, (None, 500))
            self.assertIsNone(resized_img)

    def test_image_greater_than_min_width_is_resized_to_min_width(self):
        with Image.open(Path(__file__).resolve(strict=True).parent.parent / "fixtures/thumbnail.png") as img:
            resized_img = resize_min_height(img, (None, 500))
            width, height = resized_img.size
            self.assertEqual(height, 500)
