from unittest.mock import patch

from pount.apps.api.models.init import initialize_roles
from pount.apps.api.tests.factories.set import SetFactory
from pount.tests import TestCase


class PreSoftDeleteTest(TestCase):
    @patch("pount.apps.api.models.template.handle_update_item_metadata_on_template_save")
    def test_on_soft_delete_pre_soft_delete_signal_is_called(self, update_mock):
        initialize_roles()
        with patch("pount.apps.api.signals.pre_soft_delete") as pre_soft_delete:
            set = SetFactory()
            set.delete()
        pre_soft_delete.send.assert_called_once_with(sender=set.__class__, instance=set)

    @patch("pount.apps.api.models.template.handle_update_item_metadata_on_template_save")
    def test_on_hard_delete_pre_soft_delete_signal_is_not_called(self, update_mock):
        initialize_roles()
        with patch("pount.apps.api.signals.pre_soft_delete") as pre_soft_delete:
            set = SetFactory()
            set.delete(hard_delete=True)
        pre_soft_delete.send.assert_not_called()
