from django.test import TestCase
from django.urls import reverse

from pount.apps.api.admin import UserAdmin
from pount.apps.api.models import User


class UserAdminTest(TestCase):
    def test_username_is_read_only_in_admin(self):
        self.assertIn("username", UserAdmin.readonly_fields)

    def test_can_not_add_user_in_admin(self):
        admin = User.objects.create_superuser("admin")
        self.client.force_login(admin)
        response = self.client.get(reverse("admin:api_user_add"))
        self.assertEqual(response.status_code, 403)
