from django.test import TestCase

from pount.apps.api.tests.test_item import SetUpMixin


class MediaFileTest(SetUpMixin, TestCase):
    def test_content_type_property_is_none(self):
        self.file.info = None
        self.assertIsNone(self.file.content_type)

    def test_content_type_property_is_none_if_info_not_present(self):
        self.file.info = {"content_type_key": "not_present"}
        self.assertIsNone(self.file.content_type)

    def test_content_type_property(self):
        self.file.info = {"content_type": "image/png"}
        self.assertEqual(self.file.content_type, "image/png")

    def test_size_property(self):
        self.file.info = {"size": 1024}
        self.assertEqual(self.file.size, 1024)

    def test_size_propery_is_none(self):
        self.file.info = None
        self.assertIsNone(self.file.size)

    def test_size_property_is_none_if_info_is_not_present(self):
        self.file.info = {"size_key": "not_present"}
        self.assertIsNone(self.file.size)
