from django.urls import include, path
from rest_framework import routers

from pount.apps.public import views

app_name = "public"

router = routers.DefaultRouter()


router.register(r"projects", views.ProjectViewSet)
router.register(r"sets", views.SetViewSet)
router.register(r"items", views.ItemViewSet)
router.register(r"persons", views.UserViewSet)
router.register(r"template", views.TemplateViewSet)


urlpatterns = [
    path(
        "items/<uuid:pk>/mediafiles/rti/<str:filename>",
        views.get_rti_file,
        name="item-get-rti",
    ),
    path("search/", views.global_search, name="search"),
    path("", include(router.urls)),
]
