from django.apps import AppConfig
from django.conf import settings
from django.utils.module_loading import import_string
from elasticsearch_dsl import connections


class SearchAppConfig(AppConfig):
    name = "pount.apps.search"
    signal_processor = None

    def ready(self):
        if not self.signal_processor:
            signal_processor_path = getattr(
                settings,
                "ELASTICSEARCH_SIGNAL_PROCESSOR",
                "pount.apps.search.signals.ElasticSearchSignalProcessor",
            )
            signal_processor_class = import_string(signal_processor_path)
            self.signal_processor = signal_processor_class()

        if settings.ELASTICSEARCH_DSL:
            connections.create_connection(
                alias="default", hosts=settings.ELASTICSEARCH_DSL["default"]["hosts"], timeout=20
            )
