import os

from celery import Celery
from django.conf import settings

os.environ.setdefault("DJANGO_SETTINGS_MODULE", "pount.settings.{{ goal }}")

celery_app = Celery(settings.CELERY_NAME, broker=settings.CELERY_BROKER_URL)
celery_app.config_from_object("django.conf:settings")
celery_app.autodiscover_tasks(["pount.apps.api"])
