class PountError(Exception):
    def __init__(self, error=None):
        self.error = error


class QuotaExceededError(PountError):
    pass


class FileNameExistsError(PountError):
    pass


class CSVImportError(PountError):
    def __init__(self, error=None, line=None):
        self.error = error
        self.line = line


class CSVMetadataError(CSVImportError):
    pass


class MetadataValidationError(PountError):
    pass


class MetadataOptionValueNotFound(CSVImportError):
    pass


class TemplateFieldError(PountError):
    pass


class ReferentialError(PountError):
    pass


class LevelNotFoundError(ReferentialError):
    pass
