from threading import local

from django.conf import settings
from pymongo import MongoClient

_mongo_client = local()


def mongo_client() -> MongoClient:
    client = getattr(_mongo_client, "client", None)
    if client is None:
        client = MongoClient(settings.MONGODB_URI, uuidRepresentation="standard", serverSelectionTimeoutMS=5000)
        _mongo_client.client = client
    return client


def mongo_db():
    client = mongo_client()
    return client[settings.MONGODB_DATABASE]
