from django.http import JsonResponse
from health_check.views import MainView


class HealthCheckView(MainView):
    def render_to_response_json(self, plugins, status):
        return JsonResponse(
            {
                str(identifier): {
                    "status": "OK" if p.status == 1 else "ERROR",
                    "took": p.time_taken,
                }
                for identifier, p in plugins.items()
            },
            status=status,
        )
