import os
import subprocess
import sys

import django

os.environ["DJANGO_SETTINGS_MODULE"] = "pount.settings.unittest"
django.setup()

if os.environ.get("RICH_RUNNER", "Y").upper() in ["Y", "YES", "TRUE"]:
    from django_rich.test import RichRunner as Runner
else:
    from django.test.runner import DiscoverRunner as Runner


# Before running tests we want to compile messages
subprocess.run(["python", "manage.py", "compilemessages", "--locale", "fr"], stdout=subprocess.PIPE)

# Run tests script
test_runner = Runner(pattern="test_*.py", verbosity=2, interactive=True, failfast=False)

test_apps = ["pount"]
test_apps = test_apps if len(sys.argv) <= 1 else sys.argv[1:]
failures = test_runner.run_tests(test_apps)
sys.exit(failures)
